diff -r 7ed19ada219e code/ryzom/common/src/game_share/_backup_service_interface_singleton.cpp
--- a/code/ryzom/common/src/game_share/_backup_service_interface_singleton.cpp	Tue Oct 05 21:36:58 2010 +0200
+++ b/code/ryzom/common/src/game_share/_backup_service_interface_singleton.cpp	Wed Oct 06 11:56:21 2010 +0200
@@ -49,7 +49,7 @@
 // method used to update stuff on config file reload / variable change
 void onSaveShardRootModified( NLMISC::IVariable &var );
 // configuration variables - to be setup in cfg files
-CVariable<string>	SaveShardRoot("variables", "SaveShardRoot", "Root directory of all files saved by any shard", "", 0, true, onSaveShardRootModified, false);
+CVariable<string>		 GSSaveShardRoot("variables", "GSSaveShardRoot", "Root directory of all files saved by any shard", "", 0, true, onSaveShardRootModified, false);
 
 // stats variables
 CVariable<NLMISC::TTime> BSLastAckTime("BSIF", "BSLastAckTime", "The timestamp of the last ack received from backup system", 0, 0, true);
@@ -103,11 +103,11 @@
 
 	_ShardDependentBsi.init("BS");
 	_ShardDependentBsi.setRemotePath( IService::getInstance()->SaveFilesDirectory.toString() );
-	_ShardDependentBsi.setLocalPath( CPath::standardizePath( SaveShardRoot.get() ) + IService::getInstance()->SaveFilesDirectory.toString() );
+	_ShardDependentBsi.setLocalPath( CPath::standardizePath( GSSaveShardRoot.get() ) + IService::getInstance()->SaveFilesDirectory.toString() );
 
 	_GlobalBsi.init("BS");
 	_GlobalBsi.setRemotePath( string() );
-	_GlobalBsi.setLocalPath( SaveShardRoot.get() );
+	_GlobalBsi.setLocalPath( GSSaveShardRoot.get() );
 
 //	_PDBsi.init("PDBS");
 //	_PDBsi.setRemotePath( IService::getInstance()->SaveFilesDirectory.toString() );
@@ -357,7 +357,7 @@
 	if ( var.getName() == "SaveFilesDirectory" )
 	{
 		_ShardDependentBsi.setRemotePath( var.toString() );
-		_ShardDependentBsi.setLocalPath( CPath::standardizePath( SaveShardRoot.get() ) + var.toString() );
+		_ShardDependentBsi.setLocalPath( CPath::standardizePath( GSSaveShardRoot.get() ) + var.toString() );
 //		_PDBsi.setRemotePath( var.toString() );
 //		_PDBsi.setLocalPath( CPath::standardizePath( SaveShardRoot.get() ) + var.toString() );
 	}
diff -r 7ed19ada219e code/ryzom/common/src/game_share/server_edition_module.cpp
--- a/code/ryzom/common/src/game_share/server_edition_module.cpp	Tue Oct 05 21:36:58 2010 +0200
+++ b/code/ryzom/common/src/game_share/server_edition_module.cpp	Wed Oct 06 11:56:21 2010 +0200
@@ -96,7 +96,7 @@
 CVariable<uint32> TimeBeforeAutoCloseAnimationSessionWithNoPlayer("DSS", "TimeBeforeAutoCloseAnimationSessionWithNoPlayer", "Delay in secondes before a empty animation session is closed", 15*60, 0, true);
 
 CVariable<std::string>	DefaultCharRingAccess( "DSS", "DefaultCharRingAccess", "Default Access Ring for player eg 'f1:j1:l1:d1:p1:g1:a1:'", "a1", 0, true );
-CVariable<bool>	DontUseSU( "DSS", "DontUseSU", "Simulate the SU", false, 0, true );
+CVariable<bool>	DSSDontUseSU( "DSS", "DSSDontUseSU", "Simulate the SU", false, 0, true );
 
 CVariable<bool> AcceptScenarioWithoutHeader("DSS", "AcceptScenarioWithoutHeader", "AcceptScenarioWithoutHeader", false, 0, true);
 CVariable<bool> MustVerifyRingAccessWhileLoadingAnimation("DSS", "MustVerifyRingAccessWhileLoadingAnimation", "MustVerifyRingAccessWhileLoadingAnimation", false, 0, true);
@@ -1205,7 +1205,7 @@
 		return;
 	}
 
-	if (DontUseSU)
+	if (DSSDontUseSU)
 	{
 		TCharId charId = static_cast<TCharId>(clientEid.getShortId());
 		CEditionSession* editionSession = getSessionByCharId(charId);
diff -r 7ed19ada219e code/ryzom/server/src/ai_service/ai_script_data_manager.cpp
--- a/code/ryzom/server/src/ai_service/ai_script_data_manager.cpp	Tue Oct 05 21:36:58 2010 +0200
+++ b/code/ryzom/server/src/ai_service/ai_script_data_manager.cpp	Wed Oct 06 11:56:21 2010 +0200
@@ -97,7 +97,7 @@
 }
 
 
-CVariable<string>	SaveShardRoot2("variables", "SaveShardRoot2", "Root directory of all saved data by any shard", "/home/nevrax/save_shard", 0, true, cbOnSaveShardRootModified); // (SaveShardRoot from game_share/backup_service_interface.cpp is not instanciated because nothing is used from that file)
+CVariable<string>	AISSaveShardRoot("variables", "AISSaveShardRoot", "Root directory of all saved data by any shard", "/home/nevrax/save_shard", 0, true, cbOnSaveShardRootModified); // (SaveShardRoot from game_share/backup_service_interface.cpp is not instanciated because nothing is used from that file)
 CVariable<string>	PdrFilename("ai", "PdrFilename", "Pdr file containing AIScript variables", string("ai_persistent_var.pdr"), 0, true);
 
 
@@ -173,7 +173,7 @@
 
 std::string CAIScriptDataManager::dirname()
 {
-	return SaveShardRoot2.get()+"/"+IService::getInstance()->SaveFilesDirectory.toString()+"/ai_script_data";
+	return AISSaveShardRoot.get()+"/"+IService::getInstance()->SaveFilesDirectory.toString()+"/ai_script_data";
 }
 
 //CConfigFile* CAIScriptDataManager::createFile(string name)
diff -r 7ed19ada219e code/ryzom/server/src/backup_service/backup_file_access.cpp
--- a/code/ryzom/server/src/backup_service/backup_file_access.cpp	Tue Oct 05 21:36:58 2010 +0200
+++ b/code/ryzom/server/src/backup_service/backup_file_access.cpp	Wed Oct 06 11:56:21 2010 +0200
@@ -36,7 +36,7 @@
 NLMISC::CVariable<bool>	VerboseLog("backup", "VerboseLog", "Activate verbose logging of BS activity", false);
 NLMISC::CVariable<bool>	UseTempFile("backup", "UseTempFile", "Flag the use of temporary file for safe write or append operation", true, true);
 
-extern NLMISC::CVariable<std::string> SaveShardRoot;
+extern NLMISC::CVariable<std::string> BSSaveShardRoot;
 
 bool	bsstrincmp(const char* s1, const char* s2, int n)
 {
@@ -48,7 +48,7 @@
 
 std::string	getBackupFileName(const std::string& filename)
 {
-	return SaveShardRoot.get() + filename;
+	return BSSaveShardRoot.get() + filename;
 	/* // BSFilePrefix and BSFileSubst are deprecated
 	if (BSFilePrefix.get().empty())
 		return filename;
diff -r 7ed19ada219e code/ryzom/server/src/backup_service/backup_service.cpp
--- a/code/ryzom/server/src/backup_service/backup_service.cpp	Tue Oct 05 21:36:58 2010 +0200
+++ b/code/ryzom/server/src/backup_service/backup_service.cpp	Wed Oct 06 11:56:21 2010 +0200
@@ -60,7 +60,7 @@
 
 
 extern CDirectoryRateStat	DirStats;
-extern NLMISC::CVariable<std::string> SaveShardRoot;
+extern NLMISC::CVariable<std::string> BSSaveShardRoot;
 
 using namespace NLNET;
 using namespace NLMISC;
@@ -537,7 +537,7 @@
 		}
 	}
 	// In case something like getPathContent() has returned full paths, make paths relative to match the requested filenames
-	fdc.stripFilename(SaveShardRoot.get());
+	fdc.stripFilename(BSSaveShardRoot.get());
 
 	// compose the output message
 	CMessage	msgout("BS_FILE_CLASS");
diff -r 7ed19ada219e code/ryzom/server/src/backup_service/commands.cpp
--- a/code/ryzom/server/src/backup_service/commands.cpp	Tue Oct 05 21:36:58 2010 +0200
+++ b/code/ryzom/server/src/backup_service/commands.cpp	Wed Oct 06 11:56:21 2010 +0200
@@ -30,7 +30,7 @@
 
 CDirectoryRateStat	DirStats;
 
-extern CVariable<string>	SaveShardRoot;
+extern CVariable<string>	BSSaveShardRoot;
 
 
 NLMISC_COMMAND(displayFileStats, "display file read/write stats for the last minute", "")
@@ -74,9 +74,9 @@
 	{
 		// just output the list of available shard id
 		vector<string>	shards;
-		CPath::getPathContent(SaveShardRoot, false, true, false, shards);
+		CPath::getPathContent(BSSaveShardRoot, false, true, false, shards);
 
-		log.displayNL("Listing %u available shard id in path '%s':", shards.size(), SaveShardRoot.c_str());
+		log.displayNL("Listing %u available shard id in path '%s':", shards.size(), BSSaveShardRoot.c_str());
 		for (uint i=0; i<shards.size(); ++i)
 		{
 			string id = shards[i];
@@ -107,7 +107,7 @@
 		useFilter = true;
 	}
 
-	string fileName = SaveShardRoot.toString()+"/"+args[0]+"/characters/account_"+args[1]+"_"+args[2]+"_pdr.bin";
+	string fileName = BSSaveShardRoot.toString()+"/"+args[0]+"/characters/account_"+args[1]+"_"+args[2]+"_pdr.bin";
 	if (!CFile::isExists(fileName))
 	{
 		log.displayNL("The file '%s' (located here '%s') cannot be found in '%s' backup directory", 
diff -r 7ed19ada219e code/ryzom/server/src/backup_service/web_connection.cpp
--- a/code/ryzom/server/src/backup_service/web_connection.cpp	Tue Oct 05 21:36:58 2010 +0200
+++ b/code/ryzom/server/src/backup_service/web_connection.cpp	Wed Oct 06 11:56:21 2010 +0200
@@ -169,7 +169,7 @@
 }
 
 CVariable<string>	IncrementalBackupDirectory("backup", "IncrementalBackupDirectory", "Directory to find incremental backuped archives", "", 0, true);
-CVariable<string>	SaveShardRoot("backup", "SaveShardRoot", "Root directory of all saved data by BS", "/home/nevrax/save_shard", 0, true, cbOnSaveShardRootModified); // (SaveShardRoot from game_share/backup_service_interface.cpp is not instanciated because the nothing is used from that file)
+CVariable<string>	BSSaveShardRoot("backup", "BSSaveShardRoot", "Root directory of all saved data by BS", "/home/nevrax/save_shard", 0, true, cbOnSaveShardRootModified); // (SaveShardRoot from game_share/backup_service_interface.cpp is not instanciated because the nothing is used from that file)
 CVariable<string>	SaveTemplatePath("backup", "SaveTemplatePath", "Directory to find saves (with shard and account replacement strings)", "$shard/characters/account_$userid_$charid$ext", 0, true);
 CVariable<string>	SaveExtList("backup", "SaveExtList", "List of possible extensions for save files (space separated)", "_pdr.bin _pdr.xml .bin", 0, true);
 
@@ -209,7 +209,7 @@
 	explode(str, string("%%"), params, true);
 
 	string	incrementalDir = IncrementalBackupDirectory;
-	string	saveShardRoot = SaveShardRoot;
+	string	saveShardRoot = BSSaveShardRoot;
 	string	templatePath = SaveTemplatePath;
 	string	extList = SaveExtList;
 
@@ -292,7 +292,7 @@
 
 	explode(str, string("%%"), params, true);
 
-	string	saveShardRoot = SaveShardRoot;
+	string	saveShardRoot = BSSaveShardRoot;
 	string	templatePath = SaveTemplatePath;
 
 	string	shard;
@@ -367,7 +367,7 @@
 
 	explode(str, string("%%"), params, true);
 
-	string	saveShardRoot = SaveShardRoot;
+	string	saveShardRoot = BSSaveShardRoot;
 	string	templatePath = SaveTemplatePath;
 	string	extList = SaveExtList;
 
diff -r 7ed19ada219e code/ryzom/server/src/entities_game_service/entity_manager/entity_callbacks.cpp
--- a/code/ryzom/server/src/entities_game_service/entity_manager/entity_callbacks.cpp	Tue Oct 05 21:36:58 2010 +0200
+++ b/code/ryzom/server/src/entities_game_service/entity_manager/entity_callbacks.cpp	Wed Oct 06 11:56:21 2010 +0200
@@ -106,7 +106,7 @@
 
 extern vector<CMainlandSummary>		Mainlands;
 
-extern CVariable<bool> DontUseSU;
+extern CVariable<bool> EGSDontUseSU;
 
 // For shard names
 extern NLMISC::CVariable<uint32> FixedSessionId;
@@ -1011,7 +1011,7 @@
 		goto CreationFailed;
 	}
 
-	if( DontUseSU.get() == 0)
+	if( EGSDontUseSU.get() == 0)
 	{
 		IShardUnifierEvent::getInstance()->validateCharacterCreation(userId, createCharMsg.Slot, createCharMsg);
 	}
diff -r 7ed19ada219e code/ryzom/server/src/entities_game_service/guild_manager/guild_manager.cpp
--- a/code/ryzom/server/src/entities_game_service/guild_manager/guild_manager.cpp	Tue Oct 05 21:36:58 2010 +0200
+++ b/code/ryzom/server/src/entities_game_service/guild_manager/guild_manager.cpp	Wed Oct 06 11:56:21 2010 +0200
@@ -55,7 +55,7 @@
 extern bool						IOSIsUp;
 extern CGenericXmlMsgHeaderManager	GenericMsgManager;
 extern CVariable<uint32> AllowCharsFromAllSessions;
-extern CVariable<bool> DontUseSU;
+extern CVariable<bool> EGSDontUseSU;
 
 CGuildManager* CGuildManager::_Instance = NULL;
 
@@ -1367,7 +1367,7 @@
 
 	// Send the guild list to SU to synchronize the ring database and name manager
 	// (and eventualy rename some conflicting guilds)
-	if (DontUseSU.get() == 0)
+	if (EGSDontUseSU.get() == 0)
 	{
 		std::vector<CHARSYNC::CGuildInfo> guildInfos;
 
@@ -1388,7 +1388,7 @@
 	_GuildLoaded = true;
 
 	// check guild member list against the eid translator
-	if ((DontUseSU.get() == 0) && IShardUnifierEvent::getInstance()->isEidTranslatorInitilazed())
+	if ((EGSDontUseSU.get() == 0) && IShardUnifierEvent::getInstance()->isEidTranslatorInitilazed())
 	{
 		checkGuildMemberLists();
 	}
diff -r 7ed19ada219e code/ryzom/server/src/entities_game_service/modules/shard_unifier_client.cpp
--- a/code/ryzom/server/src/entities_game_service/modules/shard_unifier_client.cpp	Tue Oct 05 21:36:58 2010 +0200
+++ b/code/ryzom/server/src/entities_game_service/modules/shard_unifier_client.cpp	Wed Oct 06 11:56:21 2010 +0200
@@ -54,7 +54,7 @@
 
 extern NLMISC::CVariable<uint32> FixedSessionId;
 
-CVariable<bool> DontUseSU( "su", "DontUseSU", "If 1, allow running a shard with no Shard Unifier Service", 0, 0, 1 ); 
+CVariable<bool> EGSDontUseSU( "su", "EGSDontUseSU", "If 1, allow running a shard with no Shard Unifier Service", 0, 0, 1 ); 
 CVariable<bool> SimulateCharacterHasEditSession( "su", "SimulateCharacterHasEditSession", "If 1 simulate that character have alreay an edition sessiion", 0, 0, 1 ); 
 
 
@@ -662,7 +662,7 @@
 
 	virtual void validateCharacterNameBeforeCreate(uint32 userId, uint8 charIndex, const ucstring &name, uint32 homeSessionId)
 	{
-		if (DontUseSU.get() == 1)
+		if (EGSDontUseSU.get() == 1)
 		{
 			// send the response to the client
 			sendIfNameIsValide( userId, true );
@@ -694,14 +694,14 @@
 
 	virtual bool validateCharacterCreation	(uint32 userId, uint8 charIndex, const CCreateCharMsg &createCharMsg)
 	{
-		if (DontUseSU.get() == 1)
+		if (EGSDontUseSU.get() == 1)
 		{
 			cbCreateChar_part2(userId, createCharMsg, true);
 			return true;
 		}
 		
 		// send a name assignment to SU name unifier
-		if ((_CharacterSynch == NULL) && (DontUseSU.get() == 0))
+		if ((_CharacterSynch == NULL) && (EGSDontUseSU.get() == 0))
 		{
 			nlinfo("VALID_NAME::SU::validateCharacterCreation name %s rejected because we have no character sync to validate the name with using SU", createCharMsg.Name.toString().c_str());
 			return false;
diff -r 7ed19ada219e code/ryzom/server/src/frontend_service/fe_receive_sub.cpp
--- a/code/ryzom/server/src/frontend_service/fe_receive_sub.cpp	Tue Oct 05 21:36:58 2010 +0200
+++ b/code/ryzom/server/src/frontend_service/fe_receive_sub.cpp	Wed Oct 06 11:56:21 2010 +0200
@@ -75,7 +75,7 @@
 void cbGwTrDisconnection ( TClientId clientId );
 
 
-CVariable<string>	SaveShardRoot("variables", "SaveShardRoot", "Root directory of all files saved by any shard", "", 0, true, NULL, false);
+CVariable<string>	FESSaveShardRoot("variables", "FESSaveShardRoot", "Root directory of all files saved by any shard", "", 0, true, NULL, false);
 extern CVariable<bool> VerboseFEStatsTime;
 
 
@@ -842,7 +842,7 @@
 			{
 				// The client has neither been authenticated nor provided a user id, but is allowed to connect (dev mode)
 				nlinfo ("%s using AutoAllocUserid", _CurrentInMsg->AddrFrom.asString().c_str() );
-				string filename = CPath::standardizePath( SaveShardRoot.get() ) + CPath::standardizePath( IService::getInstance()->SaveFilesDirectory.get() ) + "auto_uid_map.bin";
+				string filename = CPath::standardizePath( FESSaveShardRoot.get() ) + CPath::standardizePath( IService::getInstance()->SaveFilesDirectory.get() ) + "auto_uid_map.bin";
 
 				// Get previously allocated user ids 
 				if ( _AutoUidMap.empty() )