diff -r dfb7fa26474c code/CMakeLists.txt
--- a/code/CMakeLists.txt	Tue Jun 14 20:11:44 2011 +0200
+++ b/code/CMakeLists.txt	Thu Jun 23 19:44:08 2011 +0200
@@ -143,11 +143,11 @@
 ENDIF(WITH_RYZOM)
 
 IF(WITH_NELNS)
-#  ADD_SUBDIRECTORY(nelns)
+  ADD_SUBDIRECTORY(nelns)
 ENDIF(WITH_NELNS)
 
 IF(WITH_SNOWBALLS)
-#  ADD_SUBDIRECTORY(snowballs2)
+  ADD_SUBDIRECTORY(snowballs2)
 ENDIF(WITH_SNOWBALLS)
 
 IF(WITH_TOOLS)
diff -r dfb7fa26474c code/snowballs2/CMakeLists.txt
--- a/code/snowballs2/CMakeLists.txt	Tue Jun 14 20:11:44 2011 +0200
+++ b/code/snowballs2/CMakeLists.txt	Thu Jun 23 19:44:08 2011 +0200
@@ -6,17 +6,7 @@
 
 
 #-----------------------------------------------------------------------------
-# Set default config options
-#
-NL_SETUP_DEFAULT_OPTIONS()
-NL_SETUP_PREFIX_PATHS()
-
-#-----------------------------------------------------------------------------
 # Override default options
-OPTION(BUILD_CLIENT "Build the Snowballs Client" ON)
-OPTION(ENABLE_SOUND "Enable sound in the Snowballs Client" OFF)
-
-OPTION(BUILD_SERVER "Build the Snowballs Servers" ON)
 SET(SNOWBALLS_CONFIG_FILE "${NL_ETC_PREFIX}/snowballs" CACHE FILEPATH "Snowballs config file location")
 SET(SNOWBALLS_DATA_FILE "${NL_SHARE_PREFIX}/games/snowballs" CACHE FILEPATH "Snowballs data file location")
 SET(SNOWBALLS_LOG_FILE "${NL_LOG_PREFIX}/snowballs" CACHE FILEPATH "Snowballs log file location")
@@ -29,39 +19,22 @@
 FIND_PACKAGE(LibXml2 REQUIRED)
 FIND_PACKAGE(PNG REQUIRED)
 
-NL_SETUP_BUILD()
-
-FIND_PACKAGE(NeL COMPONENTS nelmisc nelgeorges nel3d nelnet nelpacs REQUIRED)
-FIND_PACKAGE(NeLNS COMPONENTS naming_service login_service welcome_service nel_launcher_qt)
-
 ###
 # An example of finding NeL 3D and CEGUI Renderer.
 ###
-IF(BUILD_CLIENT)
+IF(WITH_SNOWBALLS_CLIENT)
   FIND_PACKAGE(FreeType)
-  FIND_PACKAGE(Jpeg)
-  
-  IF(ENABLE_SOUND)
-    FIND_PACKAGE(NeL COMPONENTS nelsound)
-  ENDIF(ENABLE_SOUND)
-ENDIF(BUILD_CLIENT)
-
-IF(WIN32)
-  INCLUDE(${CMAKE_ROOT}/Modules/Platform/Windows-cl.cmake)
-  SET(WINSOCK2_LIB ws2_32.lib)
-ENDIF(WIN32)
-
-NL_SETUP_BUILD_FLAGS()
+ENDIF(WITH_SNOWBALLS_CLIENT)
 
 ADD_DEFINITIONS(-DSNOWBALLS_CONFIG="${SNOWBALLS_CONFIG_FILE}/" -DSNOWBALLS_STATE="${SNOWBALLS_LOG_FILE}/" -DSNOWBALLS_LOGS="${SNOWBALLS_LOG_FILE}/")
 
-IF(BUILD_CLIENT)
+IF(WITH_SNOWBALLS_CLIENT)
   ADD_SUBDIRECTORY(client)
-ENDIF(BUILD_CLIENT)
+ENDIF(WITH_SNOWBALLS_CLIENT)
 
-IF(BUILD_SERVER)
+IF(WITH_SNOWBALLS_SERVER)
   ADD_SUBDIRECTORY(server)
-ENDIF(BUILD_SERVER)
+ENDIF(WITH_SNOWBALLS_SERVER)
 
 # packaging information
 SET(CPACK_PACKAGE_DESCRIPTION_SUMMARY "NeL MMORPG Framework - Snowballs Demo")
@@ -112,26 +85,28 @@
     SET(CMAKE_INSTALL_DEBUG_LIBRARIES TRUE)
   ENDIF(NOT CMAKE_BUILD_TYPE STREQUAL "Release")
   
-  IF(BUILD_CLIENT)
+  IF(WITH_SNOWBALLS_CLIENT)
+    IF( WITH_QT )
 	# Needed to find dependencies for nel_launcher_qt.
 	FIND_PACKAGE(Qt4 REQUIRED)
 	
-    # Install Qt dependencies for the launcher.
-    INCLUDE(${QT_USE_FILE})
-    INSTALL(FILES 
-        "${QT_LIBRARY_DIR}/QtGuid4.dll"        
-        "${QT_LIBRARY_DIR}/QtXmld4.dll"
-        "${QT_LIBRARY_DIR}/QtCored4.dll"
-        DESTINATION bin)
+        # Install Qt dependencies for the launcher.
+        INCLUDE(${QT_USE_FILE})
+        INSTALL(FILES 
+           "${QT_BINARY_DIR}/QtGuid4.dll"        
+           "${QT_BINARY_DIR}/QtXmld4.dll"
+           "${QT_BINARY_DIR}/QtCored4.dll"
+           DESTINATION bin)
         
-     # Install the Qt Launcher.
-     INSTALL(FILES ${NELNS_NEL_LAUNCHER_BIN} DESTINATION bin COMPONENT snowballsclient)
+         # Install the Qt Launcher.
+         INSTALL(FILES ${NELNS_NEL_LAUNCHER_BIN} DESTINATION bin COMPONENT snowballsclient)
+     ENDIF( WITH_QT )
      
      # Install the sound/video drivers
      INSTALL(FILES ${NELDRVOPENGL_DLL} ${NELDRVDIRECT3D_DLL} DESTINATION bin COMPONENT snowballsclient)
-  ENDIF(BUILD_CLIENT)
+  ENDIF(WITH_SNOWBALLS_CLIENT)
   
-  IF(BUILD_SERVER)
+  IF(WITH_SNOWBALLS_SERVER)
     INSTALL(FILES 
 		${NELNS_NAMING_SERVICE_BIN} 
 		${NELNS_NAMING_SERVICE_CFG} 
@@ -141,7 +116,7 @@
 		${NELNS_WELCOME_SERVICE_CFG}
 		DESTINATION sbin 
 		COMPONENT services)
-  ENDIF(BUILD_SERVER)
+  ENDIF(WITH_SNOWBALLS_SERVER)
   
   INCLUDE(InstallRequiredSystemLibraries)
 ENDIF(WIN32)
diff -r dfb7fa26474c code/snowballs2/client/CMakeLists.txt
--- a/code/snowballs2/client/CMakeLists.txt	Tue Jun 14 20:11:44 2011 +0200
+++ b/code/snowballs2/client/CMakeLists.txt	Thu Jun 23 19:44:08 2011 +0200
@@ -4,9 +4,4 @@
 CONFIGURE_FILE(client.cfg.in client.cfg)
 
 INSTALL(FILES ${CMAKE_CURRENT_BINARY_DIR}/client.cfg DESTINATION etc/snowballs COMPONENT snowballsclient)
-INSTALL(DIRECTORY data/
-        DESTINATION share/games/snowballs
-	COMPONENT snowballsdata
-        PATTERN "CVS" EXCLUDE
-        PATTERN ".svn" EXCLUDE
-        PATTERN "Makefile*" EXCLUDE)
+
diff -r dfb7fa26474c code/snowballs2/client/src/snowballs_client.cpp
--- a/code/snowballs2/client/src/snowballs_client.cpp	Tue Jun 14 20:11:44 2011 +0200
+++ b/code/snowballs2/client/src/snowballs_client.cpp	Thu Jun 23 19:44:08 2011 +0200
@@ -70,6 +70,10 @@
 #include "internationalization.h"
 #include "game_time.h"
 
+#ifdef NL_OS_WINDOWS
+#include <Windows.h>
+#endif
+
 using namespace std;
 using namespace NLMISC;
 using namespace NL3D;
diff -r dfb7fa26474c code/snowballs2/server/chat/src/main.cpp
--- a/code/snowballs2/server/chat/src/main.cpp	Tue Jun 14 20:11:44 2011 +0200
+++ b/code/snowballs2/server/chat/src/main.cpp	Thu Jun 23 19:44:08 2011 +0200
@@ -36,6 +36,10 @@
 // We're using the NeL Service framework, and layer 5
 #include <nel/net/service.h>
 
+#ifdef NL_OS_WINDOWS
+#include <Windows.h>
+#endif
+
 
 using namespace std;
 using namespace NLMISC;
diff -r dfb7fa26474c code/snowballs2/server/collision/src/collision_service.cpp
--- a/code/snowballs2/server/collision/src/collision_service.cpp	Tue Jun 14 20:11:44 2011 +0200
+++ b/code/snowballs2/server/collision/src/collision_service.cpp	Thu Jun 23 19:44:08 2011 +0200
@@ -17,6 +17,11 @@
 #include "collision_service.h"
 #include <nel/3d/u_instance_group.h>
 
+#ifdef NL_OS_WINDOWS
+#include <Windows.h>
+#endif
+
+
 using namespace SBSERVICE;
 using namespace NLMISC;
 using namespace NLNET;
diff -r dfb7fa26474c code/snowballs2/server/frontend/src/CMakeLists.txt
--- a/code/snowballs2/server/frontend/src/CMakeLists.txt	Tue Jun 14 20:11:44 2011 +0200
+++ b/code/snowballs2/server/frontend/src/CMakeLists.txt	Thu Jun 23 19:44:08 2011 +0200
@@ -1,6 +1,6 @@
 FILE(GLOB SRC *.cpp *.h)
 
-ADD_EXECUTABLE(snowballs_frontend_service ${SRC})
+ADD_EXECUTABLE(snowballs_frontend_service WIN32 ${SRC})
 
 INCLUDE_DIRECTORIES(${LIBXML2_INCLUDE_DIR})
 
diff -r dfb7fa26474c code/snowballs2/server/frontend/src/main.cpp
--- a/code/snowballs2/server/frontend/src/main.cpp	Tue Jun 14 20:11:44 2011 +0200
+++ b/code/snowballs2/server/frontend/src/main.cpp	Thu Jun 23 19:44:08 2011 +0200
@@ -38,6 +38,11 @@
 #include <map>
 #include <utility>
 
+#ifdef NL_OS_WINDOWS
+#include <Windows.h>
+#endif
+
+
 using namespace NLMISC;
 using namespace NLNET;
 using namespace std;
diff -r dfb7fa26474c code/snowballs2/server/position/src/main.cpp
--- a/code/snowballs2/server/position/src/main.cpp	Tue Jun 14 20:11:44 2011 +0200
+++ b/code/snowballs2/server/position/src/main.cpp	Thu Jun 23 19:44:08 2011 +0200
@@ -41,6 +41,10 @@
 
 #include "physics.h"
 
+#ifdef NL_OS_WINDOWS
+#include <Windows.h>
+#endif
+
 
 using namespace NLMISC;
 using namespace NLNET;